diff --git a/modules/gui/qt4/menus.cpp b/modules/gui/qt4/menus.cpp
index f85e515..440f76c 100644
--- a/modules/gui/qt4/menus.cpp
+++ b/modules/gui/qt4/menus.cpp
@@ -39,8 +39,6 @@
 #include <vlc_vout.h>                             /* vout_thread_t */
 #include <vlc_aout.h>                             /* audio_output_t */
 
-#include "menus.hpp"
-
 #include "main_interface.hpp"                     /* View modifications */
 #include "dialogs_provider.hpp"                   /* Dialogs display */
 #include "input_manager.hpp"                      /* Input Management */
@@ -59,6 +57,8 @@
 #include <QStatusBar>
 #include <QFontMetrics>
 
+#include "menus.hpp"
+
 /*
   This file defines the main menus and the pop-up menu (right-click menu)
   and the systray menu (in that order in the file)
@@ -688,6 +688,7 @@ QMenu *QVLCMenu::NavigMenu( intf_thread_t *p_intf, QMenu *menu )
 {
     QAction *action;
     QMenu *submenu;
+	input_thread_t* p_input = THEMIM->getInput();
 
     addActionWithSubmenu( menu, "title", qtr( "T&itle" ) );
     addActionWithSubmenu( menu, "chapter", qtr( "&Chapter" ) );
@@ -705,6 +706,8 @@ QMenu *QVLCMenu::NavigMenu( intf_thread_t *p_intf, QMenu *menu )
     action->setData( "bookmark" );
 
     menu->addSeparator();
+
+    PopupPlayEntries( menu, p_intf, p_input );
     PopupMenuPlaylistControlEntries( menu, p_intf );
     PopupMenuControlEntries( menu, p_intf );
 
@@ -782,6 +785,7 @@ void QVLCMenu::PopupPlayEntries( QMenu *menu,
     {
         action = menu->addAction( qtr( "Play" ),
                 ActionsManager::getInstance( p_intf ), SLOT( play() ) );
+        action->setData( ENTRY_ALWAYS_ENABLED );
 #ifndef __APPLE__ /* No icons in menus in Mac */
         action->setIcon( QIcon( ":/menu/play" ) );
 #endif
diff --git a/modules/gui/qt4/menus.hpp b/modules/gui/qt4/menus.hpp
index f28e03c..d9c1f0a 100644
--- a/modules/gui/qt4/menus.hpp
+++ b/modules/gui/qt4/menus.hpp
@@ -161,7 +161,10 @@ public:
         {
             case 1: QVLCMenu::AudioMenu( p_intf, menu ); break;
             case 2: QVLCMenu::VideoMenu( p_intf, menu ); break;
-            case 3: QVLCMenu::RebuildNavigMenu( p_intf, menu ); break;
+            case 3:
+                menu->clear();
+                QVLCMenu::NavigMenu( p_intf, menu );
+                break;
             case 4: QVLCMenu::ViewMenu( p_intf, menu ); break;
         }
     }
